AO-LOAD(1)

NAME
ao-usbload - flash a program to an ARM-based AltOS device

SYNOPSIS
ao-usbload [-T tty-device] [--tty tty-device] [-D altos-device] [--device altos-device] [--cal radio-calibration] [--serial serial-number] [--raw] [--verbose=verbose] [--wait\ file.elf or file.ihx

DESCRIPTION
ao-usbload loads the specified .elf or .ihx file into the target device flash memory via the AltOS boot loader, using either existing serial number and radio calibration values or taking either of those from the command line.

OPTIONS

-T tty-device | --tty tty-device
    This selects which tty device the debugger uses to communicate with the target device. The special name 'BITBANG' directs ao-dbg to use the cp2103 connection, otherwise this should be a usb serial port connected to a suitable cc1111 debug node.

-D AltOS-device | --device AltOS-device
    Search for a connected device. This requires an argument of one of the following forms:

    TeleMega:2
    TeleMega
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

-s serial-number | --serial serial-number
    This programs the device serial number into the image. If no serial number is specified, then the existing serial number, if any, will be read from the device.

-c radio-calibration | --cal radio-calibration This programs the
    radio calibration value into the image for hardware which doesn't have any eeprom storage for this value. If no calibration value is specified, an existing calibration value will be used. The value here can be computed given the current radio calibration value, the measured frequency and the desired frequency:

        cal' = cal * (desired/measured)

    The default calibration value is 7119667.

USAGE
ao-usbload reads the specified .elf file into memory, edits the image to customize it using the specified serial number and radio calibration values. It then connects to the debug dongle and writes the program to the target device flash memory.

AUTHOR
Keith Packard